Bug 435241 - yum-skip-broken kills yum
Summary: yum-skip-broken kills yum
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: yum   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Seth Vidal
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-02-28 06:13 UTC by Gilboa Davara
Modified: 2014-01-21 23:02 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-13 15:41:30 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Gilboa Davara 2008-02-28 06:13:40 UTC
Yesterday I updated my rawhide machine.
A new version (1.1.11-1.fc9.noarch) of yum-skip-broken was installed.

$ yum -y update
Loaded plugins: allowdowngrade, fastestmirror, skip-broken
Traceback (most recent call last):
  File "/usr/bin/yum", line 29, in <module>
    yummain.user_main(sys.argv[1:], exit_code=True)
  File "/usr/share/yum-cli/yummain.py", line 237, in user_main
    errcode = main(args)
  File "/usr/share/yum-cli/yummain.py", line 91, in main
    base.getOptionsConfig(args)
  File "/usr/share/yum-cli/cli.py", line 180, in getOptionsConfig
    disabled_plugins=self.optparser._splitArg(opts.disableplugins))
  File "/usr/lib/python2.5/site-packages/yum/__init__.py", line 168, in _getConfig
    startupconf.pluginconfpath,disabled_plugins)
  File "/usr/lib/python2.5/site-packages/yum/__init__.py", line 350, in
doPluginSetup
    plugin_types, confpath, disabled_plugins)
  File "/usr/lib/python2.5/site-packages/yum/plugins.py", line 156, in __init__
    self.run('config')
  File "/usr/lib/python2.5/site-packages/yum/plugins.py", line 172, in run
    func(conduitcls(self, self.base, conf, **kwargs))
  File "/usr/lib/yum-plugins/skip-broken.py", line 110, in config_hook
    help="skip packages with broken dependencies")
  File "/usr/lib64/python2.5/optparse.py", line 1014, in add_option
    self._check_conflict(option)
  File "/usr/lib64/python2.5/optparse.py", line 989, in _check_conflict
    option)
optparse.OptionConflictError: option --skip-broken: conflicting option
string(s): --skip-broken

Removing yum-skip-broken cures the problem.

- Gilboa

Comment 1 Tim Lauridsen 2008-02-28 12:22:57 UTC
yum-skip-broken is obsoleted by yum >= 3.2.10
Just erase yum-skip-broken, yum >= 3.2.10 contains a better '--skip-broken'
feature then the yum-skip-broken plugin.

Comment 2 Gilboa Davara 2008-02-28 12:58:13 UTC
I know. I checked the yum.spec/CVS.
However, I wonder why yum didn't remove the yum-skip-broken when it was updated.

- Gilboa

Comment 3 Seth Vidal 2008-03-12 16:51:43 UTC
YUMBUGDAY

Comment 4 James Antill 2008-03-13 15:41:30 UTC
 We have a conflict in the upstream .spec



Note You need to log in before you can comment on or make changes to this bug.